@import "../../../styles/theme/colors";
@import "../../../styles/theme/font";
@import "../../../styles/theme/variables";
@import "../../../styles/utils/responsive";

.header {
    background-color: $header-background-color;
    display: flex;
    justify-content: space-between;
    position: fixed;
    z-index: 2;
    height: $header-height;

    &__title {
        display: flex;
        align-items: center;
    }

    &__title-button {
        background-color: $header-button-background-color;
        box-shadow: none;

        &:hover {
            background-color: $header-button-background-color-hover;
        }

        @include respond(phone) {
            margin-top: 0;
        }
    }

    &__title-button-icon {
        color: $header-button-font-color;
    }

    &__title-text {
        color: $header-title-font-color;
        margin-left: 3.2rem !important;
        font-weight: $fw-lighter;

        @include respond(phone) {
            display: none;
        }
    }
}

.header-toolbar {
    display: flex;
    align-items: center;

    .unlock-button {
        border-color: $green;
        margin-right: 16px;
        text-transform: uppercase;
        background-color: $green;
        color: white;

        letter-spacing: 0.0892857143em;
        @include respond(phone) {
            display: none;
        }
    }
}
